var loaderUtils, parse, path;

path = require('path');

parse = require('./parser');

loaderUtils = require('loader-utils');

module.exports = function(content) {
  var filename, part, parts, query;
  this.cacheable();
  query = loaderUtils.parseQuery(this.query);
  filename = path.basename(this.resourcePath);
  parts = parse(content, filename, this.sourceMap);
  part = parts[query.type][query.index];
  return this.callback(null, part.content, part.map);
};
